import { AppProvider } from '../../../../../core/modules/_shared/domain/models/app-provider';
import { AppModule } from '../../../../../core/modules/_shared/domain/models/app-module';
export default class SharedProtectionPlanUseCaseProvider implements AppProvider {
    private readonly module;
    private readonly core;
    constructor(module: AppModule, core: AppModule);
    get type(): "service";
    services(): Record<string, any>;
}
